"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var MiddlewareApp_1 = require("./components/MiddlewareApp");
require("./styles/graphiql_dark.css");
require("./styles/graphiql_light.css");
require("./index.css");
if (process.env.NODE_ENV !== 'production') {}
/* tslint:disable-next-line */
// const { whyDidYouUpdate } = require('why-did-you-update')
// whyDidYouUpdate(React)

/* tslint:disable-next-line */
;
window['GraphQLPlayground'] = {
    init: function init(element, options) {
        ReactDOM.render(React.createElement(MiddlewareApp_1.default, _extends({ setTitle: true, showNewWorkspace: false }, options, { config: config, configString: configString })), element);
    }
};
var configString = "projects:\napp:\n  schemaPath: \"src/schema.graphql\"\n  extensions:\n    endpoints:\n      default: \"http://localhost:4000\"\ndatabase:\n  schemaPath: \"src/generated/prisma.graphql\"\n  extensions:\n    prisma: database/prisma.yml";
var config = {
    projects: {
        prisma: {
            schemaPath: 'src/generated/prisma.graphql',
            includes: ['database/seed.graphql'],
            extensions: {
                prisma: 'database/prisma.yml',
                'prepare-binding': {
                    output: 'src/generated/prisma.ts',
                    generator: 'prisma-ts'
                },
                endpoints: {
                    dev: {
                        url: 'https://eu1.prisma.sh/lol/asdf/dev',
                        headers: {
                            Authorization: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjp7InNlcnZpY2UiOiJhc2RmQGRldiIsInJvbGVzIjpbImFkbWluIl19LCJpYXQiOjE1MjM1MTg3NTYsImV4cCI6MTUyNDEyMzU1Nn0.fzKhXa1JpN9M1UGTbS6p2KMUWDrKLxYD3i3a9eVfOQQ'
                        }
                    }
                }
            }
        },
        app: {
            schemaPath: 'src/schema.graphql',
            includes: ['queries/{booking,queries}.graphql'],
            extensions: {
                endpoints: {
                    default: 'http://localhost:4000'
                }
            }
        }
    }
};
//# sourceMappingURL=localDevIndex.jsx.map